Submitted By: Jon Grosshart (jgrosshart@gmail.com)
Date: 2005-03-11
Initial Package Version: 10.0
Upstream Status: Not submitted - Hack
Origin: Jon Grosshart
Description: Makes changes to Slackware's pkgtools that are mostly
	     cosmetic in nature. Also makes pkgtool use the file
	     'desc' instead of 'slack-desc'. This patch is designed
	     to be used in conjunction with submitted hint.

--- pkgtools-package.orig/sbin/installpkg	2004-05-29 20:20:34.000000000 -0400
+++ pkgtools-package/sbin/installpkg		2005-01-02 19:59:59.000000000 -0500
@@ -284,10 +284,10 @@
   if [ "$DESCRIPTION" = "/dev/null" ]; then
     mkdir -p $TMP/scan$$
     ( cd $TMP/scan$$ ; $TAR xzf - install ) < $package 2> /dev/null
-    if grep "^$packagebase:" "$TMP/scan$$/install/slack-desc" 1> /dev/null 2> /dev/null ; then
-      DESCRIPTION="$TMP/scan$$/install/slack-desc"
-    elif grep "^$shortname:" "$TMP/scan$$/install/slack-desc" 1> /dev/null 2> /dev/null ; then
-      DESCRIPTION="$TMP/scan$$/install/slack-desc"
+    if grep "^$packagebase:" "$TMP/scan$$/install/desc" 1> /dev/null 2> /dev/null ; then
+      DESCRIPTION="$TMP/scan$$/install/desc"
+    elif grep "^$shortname:" "$TMP/scan$$/install/desc" 1> /dev/null 2> /dev/null ; then
+      DESCRIPTION="$TMP/scan$$/install/desc"
     fi
   fi
 
@@ -318,7 +318,7 @@
   if [ "$shortname" != "$packagebase" ]; then
     cat $DESCRIPTION | grep "^$shortname:" | cut -f 2- -d : | cut -b2- 1>> $TMP/tmpmsg$$ 2> /dev/null
   fi
-  # Adjust the length here.  This allows a slack-desc to be any size up to 13 lines instead of fixed at 11.
+  # Adjust the length here.  This allows a desc to be any size up to 13 lines instead of fixed at 11.
   LENGTH=`cat $TMP/tmpmsg$$ | wc -l`
   while [ $LENGTH -lt 12 ]; do
     echo >> $TMP/tmpmsg$$
@@ -443,8 +443,8 @@
       cp $ROOT/install/doinst.sh $ADM_DIR/scripts/$shortname
       chmod 755 $ADM_DIR/scripts/$shortname
     fi
-    # /install/doinst.sh and /install/slack-* are reserved locations for the package system.
-    ( cd $ROOT/install ; rm -f doinst.sh slack-* 1> /dev/null 2>&1 )
+    # /install/doinst.sh and /install/desc are reserved locations for the package system.
+    ( cd $ROOT/install ; rm -f doinst.sh desc 1> /dev/null 2>&1 )
     rmdir $ROOT/install 1> /dev/null 2>&1
   fi
   # If we used a scan directory, get rid of it:
--- pkgtools-package.orig/sbin/explodepkg	2003-03-05 02:38:39.000000000 -0500
+++ pkgtools-package/sbin/explodepkg		2004-12-15 18:13:47.000000000 -0500
@@ -21,8 +21,8 @@
  cat << EOF
 Usage: explodepkg package_name [package_name2, ...]
 
-Explodes a Slackware compatible software package (or any tar+gzip archive) in
-the current directory.  Equivalent to (for each package listed):
+Explodes a pkgtool software package in the current
+directory.  Equivalent to (for each package listed):
 
    ( umask 000 ; tar xzvf package_name )

--- pkgtools-package.orig/sbin/makepkg	2004-05-29 20:19:46.000000000 -0400
+++ pkgtools-package/sbin/makepkg	2005-01-19 15:01:05.000000000 -0500
@@ -62,11 +62,12 @@
 
 Usage: makepkg package_name.tgz
 
-Makes a Slackware compatible "*.tgz" package containing the contents of the 
-current and all subdirectories. If symbolic links exist, they will be removed
-and an installation script will be made to recreate them later. This script
-will be called "install/doinst.sh". You may add any of your own ash-compatible
-shell scripts to this file and rebuild the package if you wish.
+Makes a "*.tgz" package containing the contents of the current and
+subsequent directories. If symbolic links exist, they will be
+removed and an installation script will be made to recreate them 
+later. This script will be called "install/doinst.sh". You may 
+add any of your own ash-compatible shell scripts to this file and
+rebuild the package if you wish.
 
 options:  -l, --linkadd y|n (moves symlinks into doinst.sh: recommended)
           -p, --prepend (prepend rather than append symlinks to an existing
@@ -116,7 +117,7 @@
 done
 
 echo
-echo "Slackware package maker, version 2.1."
+echo "Pkgtool package maker (from Slackware), version 2.1"
 PACKAGE_NAME=$1
 TARGET_NAME="`dirname $PACKAGE_NAME`"
 PACKAGE_NAME="`basename $PACKAGE_NAME`"
--- pkgtools-package.orig/sbin/pkgtool	2004-06-06 17:35:23.000000000 -0400
+++ pkgtools-package/sbin/pkgtool	2005-02-01 14:15:21.000000000 -0500
@@ -144,15 +144,14 @@
  CMD_START="true"
  rm -f $TMP/SeT*
  while [ 0 ]; do
-  dialog --title "Slackware Package Tool (pkgtool version 10.0)" \
---menu "\nWelcome to the Slackware package tool.\n\
+  dialog --title "Package Tool" \
+--menu "\nWelcome to Package Tool.\n\
 \nWhich option would you like?\n" 17 75 7 \
 "Current" "Install packages from the current directory" \
 "Other" "Install packages from some other directory" \
-"Floppy" "Install packages from floppy disks" \
 "Remove" "Remove packages that are currently installed" \
 "View" "View the list of files contained in a package" \
-"Setup" "Choose Slackware installation scripts to run again" \
+"Setup" "Configure packages that are currently installed" \
 "Exit" "Exit Pkgtool" 2> $TMP/reply
   if [ ! $? = 0 ]; then
    rm -f $TMP/reply
@@ -166,9 +165,9 @@
    exit
   fi
   if [ "$REPLY" = "Setup" ]; then
-    echo 'dialog --title "SELECT SYSTEM SETUP SCRIPTS" --item-help --checklist \
-    "Please use the spacebar to select the setup scripts to run.  Hit enter when you \
-are done selecting to run the scripts." 17 70 9 \' > $TMP/setupscr
+    echo 'dialog --title "SELECT SCRIPTS TO RUN" --item-help --checklist \
+    "Please use the spacebar to select the items below. If nothing is \
+listed, there are currently no configurable packages on the system." 17 70 9 \' > $TMP/setupscr
     for script in $ADM_DIR/setup/setup.* ; do
       BLURB=`grep '#BLURB' $script | cut -b8-`
       if [ "$BLURB" = "" ]; then
--- pkgtools-package.orig/sbin/upgradepkg	2004-05-29 20:22:41.000000000 -0400
+++ pkgtools-package/sbin/upgradepkg		2004-12-15 18:39:59.000000000 -0500
@@ -35,7 +35,7 @@
 Usage: upgradepkg newpackage [newpackage2 ... ]
        upgradepkg oldpackage%newpackage [oldpackage2%newpackage2 ... ]
 
-Upgradepkg upgrades a Slackware .tgz package from an older version to a
+Upgradepkg upgrades a Package Tool package from an older version to a
 newer one.  It does this by INSTALLING the new package onto the system, and
 then REMOVING any files from the old package that aren't in the new package.
 If the old and new packages have the same name, a single argument is all that
--- pkgtools-package.orig/install/slack-desc	2005-03-11 08:48:14.191637920 -0500
+++ pkgtools-package/install/slack-desc		2005-03-11 08:52:02.318957296 -0500
@@ -6,14 +6,14 @@
 # leave one space after the ':'.
 
         |-----handy-ruler------------------------------------------------------|
-pkgtools: pkgtools (The Slackware package maintenance system)
+pkgtools: pkgtools (package maintenance)
 pkgtools:
-pkgtools: This package contains utilities for handling Slackware packages.
+pkgtools: This package contains utilities for handling pkgtool packages.
 pkgtools: Included are the command line utilities 'installpkg', 'removepkg',
 pkgtools: 'makepkg', 'explodepkg', and 'upgradepkg' that install, remove,
-pkgtools: build, examine, and upgrade software packages.  Also included are 
+pkgtools: build, examine, and upgrade software packages.  Also included is 
 pkgtools: 'pkgtool', a menu based program for installing packages, removing
-pkgtools: packages, or viewing the packages that are installed on the system,
-pkgtools: documentation (man pages), and a few other system admin scripts.
+pkgtools: packages, or viewing the packages that are installed on the system.
 pkgtools:
+pkgtools: This is Slackware's pkgtool with a few modifications.
 pkgtools:
